broadcast

## Class SiGMLSegmentSynchDelivery

- java.lang.Object
- - broadcast.SiGMLSegmentSynchDelivery

- All Implemented Interfaces:
    Killable, SegmentAcceptor

      public class SiGMLSegmentSynchDelivery
      extends java.lang.Object
      implements SegmentAcceptor, Killable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLSegmentSynchDelivery(SiGMLSegmentSynchAcceptor sssa, Logging lggr)`
    `SiGMLSegmentSynchDelivery(SiGMLSegmentSynchAcceptor sssa, Logging lggr, int bsbaseport)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptErrorReport(java.lang.String msg)`
    `void` | `acceptSegment(java.lang.String sgmt)`
    `void` | `acceptStarter()`
    `void` | `acceptTerminator(long tclk)`
    `void` | `kill()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLSegmentSynchDelivery

          public SiGMLSegmentSynchDelivery(SiGMLSegmentSynchAcceptor sssa,
                                           Logging lggr)

    - #### SiGMLSegmentSynchDelivery

          public SiGMLSegmentSynchDelivery(SiGMLSegmentSynchAcceptor sssa,
                                           Logging lggr,
                                           int bsbaseport)

  - ### Method Detail

    - #### acceptErrorReport

          public void acceptErrorReport(java.lang.String msg)

      Specified by:
        `acceptErrorReport` in interface `SegmentAcceptor`

    - #### acceptStarter

          public void acceptStarter()

      Specified by:
        `acceptStarter` in interface `SegmentAcceptor`

    - #### acceptTerminator

          public void acceptTerminator(long tclk)

      Specified by:
        `acceptTerminator` in interface `SegmentAcceptor`

    - #### acceptSegment

          public void acceptSegment(java.lang.String sgmt)

      Specified by:
        `acceptSegment` in interface `SegmentAcceptor`

    - #### kill

          public void kill()

      Specified by:
        `kill` in interface `Killable`